#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-containers
version:              1.2.0.1
visibility:           public
id:                   stm-containers-1.2.0.1-KrYr4bCncIS4mgZ3eoQfZt
key:                  stm-containers-1.2.0.1-KrYr4bCncIS4mgZ3eoQfZt
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-containers
synopsis:             Containers for STM
description:
    This library is based on an STM-specialized implementation of
    Hash Array Mapped Trie.
    It provides efficient implementations of @Map@, @Set@
    and other data structures,
    which starting from version @1@ perform even better than their counterparts from \"unordered-containers\",
    but also scale well on concurrent access patterns.
    .
    For details on performance of the library, which are a bit outdated, see
    <http://nikita-volkov.github.io/stm-containers/ this blog post>.

category:             Data Structures, STM, Concurrency
abi:                  64a786c4d358d06bef466ba1cbfdb5ea
exposed:              True
exposed-modules:
    StmContainers.Bimap StmContainers.Map StmContainers.Multimap
    StmContainers.Set

hidden-modules:       StmContainers.Prelude
import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-containers-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-containers-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-containers
hs-libraries:         HSstm-containers-1.2.0.1-KrYr4bCncIS4mgZ3eoQfZt
depends:
    base-4.15.1.0 deferred-folds-0.9.18.3-1t59xwRtFhg3IJqAGQdlIS
    focus-1.0.3.1-8eS84bc35abAPfu6AJeFuu
    hashable-1.4.2.0-8JSq7I7AhyyZ2Q90BxZWW
    list-t-1.0.5.4-FlzsfRE2xqVnmRZQCzVGN
    stm-hamt-1.2.0.11-EYMqv6J4mpxFFV7o1TkV9q transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-stm-containers/html/stm-containers.haddock

haddock-html:         /usr/share/doc/haskell-stm-containers/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

